package com.thebrokenrail.herobrine.config;

import net.minecraft.entity.EntityType;

public class HardcodedConfig {
    public static final int HEROBRINE_HEALTH = 400;
    public static final int HEROBRINE_PARTICLE_Y = -5;
    public static final int HEROBRINE_SPAWN_Y = -90;
    public static final int HEROBRINE_NO_PLAYER_TELEPORT_COUNTDOWN = 120;
    public static int HEROBRINE_TELEPORT_TIME = 20;
    public static final int HEROBRINE_FIREBALL_TIME = 10;
    public static final int HEROBRINE_MINIMUM_IDLE_TIME = 40;
    public static final double HEROBRINE_IDLE_END_CHANCE = 0.7d;
    public static final float HEROBRINE_FOLLOW_ANGLE_THRESHOLD = 8;
    public static final int HEROBRINE_RECOMMENDED_DISTANCE_CENTER = 8;
    public static final int HEROBRINE_RECOMMENDED_DISTANCE_DIFF = 2;
    public static final double HEROBRINE_FLY_SPEED = 0.06d;
    public static final double HEROBRINE_FIREBALL_CHANCE = 0.5d;
    public static final double HEROBRINE_LIGHTNING_CHANCE = 0.3d;
    public static final int HEROBRINE_LIGHTNING_MIX_TIME = 120;
    public static final int HEROBRINE_LIGHTNING_MAX_TIME = 240;
    public static final int HEROBRINE_LIGHTNING_RANGE = 180;
    public static final double HEROBRINE_LIGHTNING_ENTITY_CHANCE = 0.75d;
    public static final EntityType<?>[] HEROBRINE_LIGHTNING_ENTITIES = {
            EntityType.ZOMBIE,
            EntityType.SKELETON,
            EntityType.CREEPER,
            EntityType.SPIDER,
            EntityType.HUSK,
            EntityType.STRAY,
            EntityType.CAVE_SPIDER,
            EntityType.ENDERMAN,
            EntityType.ZOMBIFIED_PIGLIN,
            EntityType.ZOGLIN,
            EntityType.ZOMBIE_VILLAGER
    };
    public static final int HEROBRINE_MAX_DISTANCE = 60;
}
